Return form data (for example, required fields and tax parameter schema)
curl --request GET \
--url https://api.symmetry.com/spf/fillPdf/{formId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symmetry.com/spf/fillPdf/{formId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symmetry.com/spf/fillPdf/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "AZ101",
"locality": "AZ",
"name": "A-4",
"title": "Employee's Arizona Withholding Election",
"formType": "RESIDENT",
"initialQuestionSetId": "QS1",
"effectiveDate": "2021-01-01",
"formVersion": "2020.12.0",
"formFields": {
"formId": "AZ101",
"formVersion": "2020.12.0",
"employee": {
"firstName": "^[A-Za-z.\\'\\-\\, \\xC0-\\xD6\\xD8-\\xF6\\xF8-\\xFF]{1,}$",
"middleInitial": "^[A-Za-z\\xC0-\\xD6\\xD8-\\xF6\\xF8-\\xFF]{0,1}$",
"lastName": "^[A-Za-z.\\'\\-\\, \\xC0-\\xD6\\xD8-\\xF6\\xF8-\\xFF]{1,}$",
"socialSecurityNumber": "^([0-9]{3}-[0-9]{2}-[0-9]{4}|[0-9]{9})$",
"address": {
"streetAddress1": "^[A-Za-z0-9#,.&\\'\\- \\xC0-\\xD6\\xD8-\\xF6\\xF8-\\xFF]+$",
"streetAddress2": "^[A-Za-z0-9#,.&\\'\\- \\xC0-\\xD6\\xD8-\\xF6\\xF8-\\xFF]+$",
"city": "^[A-Za-z.,&\\'\\- \\xC0-\\xD6\\xD8-\\xF6\\xF8-\\xFF]+$",
"state": "^(AL|AK|AZ|AR|AS|CA|CO|CT|DE|DC|FM|FL|GA|GU|HI|ID|IL|IN|IA|KS|KY|LA|ME|MH|MD|MA|MI|MN|MS|MO|MT|NE|NV|NH|NJ|NM|NY|NC|ND|MP|OH|OK|OR|PW|PA|PR|RI|SC|SD|TN|TX|UT|VT|VA|VI|WA|WV|WI|WY)$",
"zipCode": "^[0-9]{5}$|^[0-9]{5}-[0-9]{4}$|^[0-9]{9}$"
}
},
"fields": {
"additionalStateWithholding": "^[+-]?[0-9]{1,3}(?:,?[0-9]{3})*(?:\\.[0-9]{2})?$",
"withholdingPercentage": "^(0|0.8|1.3|1.8|2.7|3.6|4.2|5.1)$"
},
"signForm": "PREVIEW"
},
"blankFormImages": [
"https://spfcdn.symmetry.com/images/AZ101/2020.12.0/az101_1.png"
],
"taxParameters": [
{
"id": "AZ.percentState",
"valueType": "regex",
"regexOptions": "^(0|0.8|1.3|1.8|2.7|3.6|4.2|5.1)$",
"description": "Value represents the tax rate percentage that the employee has elected"
},
{
"id": "additionalStateWithholding",
"valueType": "dollarAmount",
"description": "Additional withholding dollar amount employee has a elected"
},
{
"id": "exemptFromStateWithholding",
"valueType": "boolean",
"description": "Exempt from state withholding tax"
},
{
"id": "mustFileWithState",
"valueType": "boolean",
"description": "Employer must file the form with the state"
},
{
"id": "employerIntervention",
"valueType": "boolean",
"description": "Additional employer processing required to complete the form"
},
{
"id": "employerInterventionReason",
"valueType": "regex",
"regexOptions": "^(null)$",
"description": "null - employerIntervention is null or false"
}
]
}Return form data (for example, required fields and tax parameter schema)
Return form data for specified form (fields, validations, schema).
GET
/
fillPdf
/
{formId}
Return form data (for example, required fields and tax parameter schema)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Form IDs - Use the /getAllFormIds endpoint to get all withholding form IDs available
Query Parameters
Response
OK
Show child attributes
Show child attributes
States and territories
Available options:
CANADA_RESIDENT, RESIDENT, NON_RESIDENT, RESIDENT_OUT_OF_STATE, EXEMPT, MILITARY, EIC, LOCAL, PENSION, EXEMPT_STUDENT, EXEMPT_NATIVE_AMERICAN, NONRESIDENT_EMPLOYER, RESIDENT_ALLOWANCE_ADJ, NON_RESIDENT_FORT_CAMPBELL, EXEMPT_TAX_CREDIT, RESIDENT_PITTSBURGH, NON_RESIDENT_PITTSBURGH, TAX_ADJ, EXEMPT_MILITARY_SPOUSE Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

